#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libva
Version		:	2.20.0
Release		:	16.2.0.rel%{?dist}
Summary		:	Libva is an implementation for Video Acceleration API
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/intel/libva

Source0		:	%{name}-%{version}.tar.bz2
#-----------------------------------------------------------------------------
BuildRequires	:	libdrm
#-----------------------------------------------------------------------------
%description
VA-API is an open-source library and API specification,
which provides access to graphics hardware acceleration
capabilities for video processing. It consists of a main
library and driver-specific acceleration backends for
each supported hardware vendor.
#-----------------------------------------------------------------------------
%prep
%setup -q 

#-----------------------------------------------------------------------------
%build

autoconf  -v -i -f
./configure						\
	--prefix=%{_prefix}				\
        --sysconfdir %{_sysconfdir}			\
        --includedir %{_includedir}			\
	--bindir %{_bindir}				\
	--libdir %{_libdir}				\
	--datadir %{_datadir}				\
	--libexecdir %{_libexecdir}			\
	--docdir %{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc NEWS
%{_includedir}/va/va.h
%{_includedir}/va/va_*.h
%{_libdir}/%{name}*.so*
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}-*.pc
#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
